module.exports = {
        typeDefs: // Code generated by Prisma (prisma@1.34.12). DO NOT EDIT.
  // Please don't change this file manually but run `prisma generate` to update it.
  // For more information, please read the docs: https://www.prisma.io/docs/prisma-client/

/* GraphQL */ `type AggregateBet {
  count: Int!
}

type AggregateComment {
  count: Int!
}

type AggregateInitialBet {
  count: Int!
}

type AggregateProduct {
  count: Int!
}

type AggregateUser {
  count: Int!
}

type BatchPayload {
  count: Long!
}

type Bet {
  id: ID!
  initialBet: InitialBet!
  better: User!
  createdAt: DateTime!
  bet: Float!
}

type BetConnection {
  pageInfo: PageInfo!
  edges: [BetEdge]!
  aggregate: AggregateBet!
}

input BetCreateInput {
  id: ID
  initialBet: InitialBetCreateOneWithoutBetsInput!
  better: UserCreateOneInput!
  bet: Float!
}

input BetCreateManyWithoutInitialBetInput {
  create: [BetCreateWithoutInitialBetInput!]
  connect: [BetWhereUniqueInput!]
}

input BetCreateWithoutInitialBetInput {
  id: ID
  better: UserCreateOneInput!
  bet: Float!
}

type BetEdge {
  node: Bet!
  cursor: String!
}

enum BetOrderByInput {
  id_ASC
  id_DESC
  createdAt_ASC
  createdAt_DESC
  bet_ASC
  bet_DESC
}

type BetPreviousValues {
  id: ID!
  createdAt: DateTime!
  bet: Float!
}

input BetScalarWhereInput {
  id: ID
  id_not: ID
  id_in: [ID!]
  id_not_in: [ID!]
  id_lt: ID
  id_lte: ID
  id_gt: ID
  id_gte: ID
  id_contains: ID
  id_not_contains: ID
  id_starts_with: ID
  id_not_starts_with: ID
  id_ends_with: ID
  id_not_ends_with: ID
  createdAt: DateTime
  createdAt_not: DateTime
  createdAt_in: [DateTime!]
  createdAt_not_in: [DateTime!]
  createdAt_lt: DateTime
  createdAt_lte: DateTime
  createdAt_gt: DateTime
  createdAt_gte: DateTime
  bet: Float
  bet_not: Float
  bet_in: [Float!]
  bet_not_in: [Float!]
  bet_lt: Float
  bet_lte: Float
  bet_gt: Float
  bet_gte: Float
  AND: [BetScalarWhereInput!]
  OR: [BetScalarWhereInput!]
  NOT: [BetScalarWhereInput!]
}

type BetSubscriptionPayload {
  mutation: MutationType!
  node: Bet
  updatedFields: [String!]
  previousValues: BetPreviousValues
}

input BetSubscriptionWhereInput {
  mutation_in: [MutationType!]
  updatedFields_contains: String
  updatedFields_contains_every: [String!]
  updatedFields_contains_some: [String!]
  node: BetWhereInput
  AND: [BetSubscriptionWhereInput!]
  OR: [BetSubscriptionWhereInput!]
  NOT: [BetSubscriptionWhereInput!]
}

input BetUpdateInput {
  initialBet: InitialBetUpdateOneRequiredWithoutBetsInput
  better: UserUpdateOneRequiredInput
  bet: Float
}

input BetUpdateManyDataInput {
  bet: Float
}

input BetUpdateManyMutationInput {
  bet: Float
}

input BetUpdateManyWithoutInitialBetInput {
  create: [BetCreateWithoutInitialBetInput!]
  delete: [BetWhereUniqueInput!]
  connect: [BetWhereUniqueInput!]
  set: [BetWhereUniqueInput!]
  disconnect: [BetWhereUniqueInput!]
  update: [BetUpdateWithWhereUniqueWithoutInitialBetInput!]
  upsert: [BetUpsertWithWhereUniqueWithoutInitialBetInput!]
  deleteMany: [BetScalarWhereInput!]
  updateMany: [BetUpdateManyWithWhereNestedInput!]
}

input BetUpdateManyWithWhereNestedInput {
  where: BetScalarWhereInput!
  data: BetUpdateManyDataInput!
}

input BetUpdateWithoutInitialBetDataInput {
  better: UserUpdateOneRequiredInput
  bet: Float
}

input BetUpdateWithWhereUniqueWithoutInitialBetInput {
  where: BetWhereUniqueInput!
  data: BetUpdateWithoutInitialBetDataInput!
}

input BetUpsertWithWhereUniqueWithoutInitialBetInput {
  where: BetWhereUniqueInput!
  update: BetUpdateWithoutInitialBetDataInput!
  create: BetCreateWithoutInitialBetInput!
}

input BetWhereInput {
  id: ID
  id_not: ID
  id_in: [ID!]
  id_not_in: [ID!]
  id_lt: ID
  id_lte: ID
  id_gt: ID
  id_gte: ID
  id_contains: ID
  id_not_contains: ID
  id_starts_with: ID
  id_not_starts_with: ID
  id_ends_with: ID
  id_not_ends_with: ID
  initialBet: InitialBetWhereInput
  better: UserWhereInput
  createdAt: DateTime
  createdAt_not: DateTime
  createdAt_in: [DateTime!]
  createdAt_not_in: [DateTime!]
  createdAt_lt: DateTime
  createdAt_lte: DateTime
  createdAt_gt: DateTime
  createdAt_gte: DateTime
  bet: Float
  bet_not: Float
  bet_in: [Float!]
  bet_not_in: [Float!]
  bet_lt: Float
  bet_lte: Float
  bet_gt: Float
  bet_gte: Float
  AND: [BetWhereInput!]
  OR: [BetWhereInput!]
  NOT: [BetWhereInput!]
}

input BetWhereUniqueInput {
  id: ID
}

type Comment {
  id: ID!
  content: String!
  user: User!
  product: Product!
  createdAt: DateTime!
}

type CommentConnection {
  pageInfo: PageInfo!
  edges: [CommentEdge]!
  aggregate: AggregateComment!
}

input CommentCreateInput {
  id: ID
  content: String!
  user: UserCreateOneWithoutCommentsInput!
  product: ProductCreateOneInput!
}

input CommentCreateManyWithoutUserInput {
  create: [CommentCreateWithoutUserInput!]
  connect: [CommentWhereUniqueInput!]
}

input CommentCreateWithoutUserInput {
  id: ID
  content: String!
  product: ProductCreateOneInput!
}

type CommentEdge {
  node: Comment!
  cursor: String!
}

enum CommentOrderByInput {
  id_ASC
  id_DESC
  content_ASC
  content_DESC
  createdAt_ASC
  createdAt_DESC
}

type CommentPreviousValues {
  id: ID!
  content: String!
  createdAt: DateTime!
}

input CommentScalarWhereInput {
  id: ID
  id_not: ID
  id_in: [ID!]
  id_not_in: [ID!]
  id_lt: ID
  id_lte: ID
  id_gt: ID
  id_gte: ID
  id_contains: ID
  id_not_contains: ID
  id_starts_with: ID
  id_not_starts_with: ID
  id_ends_with: ID
  id_not_ends_with: ID
  content: String
  content_not: String
  content_in: [String!]
  content_not_in: [String!]
  content_lt: String
  content_lte: String
  content_gt: String
  content_gte: String
  content_contains: String
  content_not_contains: String
  content_starts_with: String
  content_not_starts_with: String
  content_ends_with: String
  content_not_ends_with: String
  createdAt: DateTime
  createdAt_not: DateTime
  createdAt_in: [DateTime!]
  createdAt_not_in: [DateTime!]
  createdAt_lt: DateTime
  createdAt_lte: DateTime
  createdAt_gt: DateTime
  createdAt_gte: DateTime
  AND: [CommentScalarWhereInput!]
  OR: [CommentScalarWhereInput!]
  NOT: [CommentScalarWhereInput!]
}

type CommentSubscriptionPayload {
  mutation: MutationType!
  node: Comment
  updatedFields: [String!]
  previousValues: CommentPreviousValues
}

input CommentSubscriptionWhereInput {
  mutation_in: [MutationType!]
  updatedFields_contains: String
  updatedFields_contains_every: [String!]
  updatedFields_contains_some: [String!]
  node: CommentWhereInput
  AND: [CommentSubscriptionWhereInput!]
  OR: [CommentSubscriptionWhereInput!]
  NOT: [CommentSubscriptionWhereInput!]
}

input CommentUpdateInput {
  content: String
  user: UserUpdateOneRequiredWithoutCommentsInput
  product: ProductUpdateOneRequiredInput
}

input CommentUpdateManyDataInput {
  content: String
}

input CommentUpdateManyMutationInput {
  content: String
}

input CommentUpdateManyWithoutUserInput {
  create: [CommentCreateWithoutUserInput!]
  delete: [CommentWhereUniqueInput!]
  connect: [CommentWhereUniqueInput!]
  set: [CommentWhereUniqueInput!]
  disconnect: [CommentWhereUniqueInput!]
  update: [CommentUpdateWithWhereUniqueWithoutUserInput!]
  upsert: [CommentUpsertWithWhereUniqueWithoutUserInput!]
  deleteMany: [CommentScalarWhereInput!]
  updateMany: [CommentUpdateManyWithWhereNestedInput!]
}

input CommentUpdateManyWithWhereNestedInput {
  where: CommentScalarWhereInput!
  data: CommentUpdateManyDataInput!
}

input CommentUpdateWithoutUserDataInput {
  content: String
  product: ProductUpdateOneRequiredInput
}

input CommentUpdateWithWhereUniqueWithoutUserInput {
  where: CommentWhereUniqueInput!
  data: CommentUpdateWithoutUserDataInput!
}

input CommentUpsertWithWhereUniqueWithoutUserInput {
  where: CommentWhereUniqueInput!
  update: CommentUpdateWithoutUserDataInput!
  create: CommentCreateWithoutUserInput!
}

input CommentWhereInput {
  id: ID
  id_not: ID
  id_in: [ID!]
  id_not_in: [ID!]
  id_lt: ID
  id_lte: ID
  id_gt: ID
  id_gte: ID
  id_contains: ID
  id_not_contains: ID
  id_starts_with: ID
  id_not_starts_with: ID
  id_ends_with: ID
  id_not_ends_with: ID
  content: String
  content_not: String
  content_in: [String!]
  content_not_in: [String!]
  content_lt: String
  content_lte: String
  content_gt: String
  content_gte: String
  content_contains: String
  content_not_contains: String
  content_starts_with: String
  content_not_starts_with: String
  content_ends_with: String
  content_not_ends_with: String
  user: UserWhereInput
  product: ProductWhereInput
  createdAt: DateTime
  createdAt_not: DateTime
  createdAt_in: [DateTime!]
  createdAt_not_in: [DateTime!]
  createdAt_lt: DateTime
  createdAt_lte: DateTime
  createdAt_gt: DateTime
  createdAt_gte: DateTime
  AND: [CommentWhereInput!]
  OR: [CommentWhereInput!]
  NOT: [CommentWhereInput!]
}

input CommentWhereUniqueInput {
  id: ID
}

scalar DateTime

type InitialBet {
  id: ID!
  creator: User!
  product: Product!
  updatedAt: DateTime!
  createdAt: DateTime!
  currentBet: Float!
  endBetTime: DateTime!
  bets(where: BetWhereInput, orderBy: BetOrderByInput, skip: Int, after: String, before: String, first: Int, last: Int): [Bet!]
}

type InitialBetConnection {
  pageInfo: PageInfo!
  edges: [InitialBetEdge]!
  aggregate: AggregateInitialBet!
}

input InitialBetCreateInput {
  id: ID
  creator: UserCreateOneInput!
  product: ProductCreateOneWithoutInitialBetInput!
  currentBet: Float
  endBetTime: DateTime!
  bets: BetCreateManyWithoutInitialBetInput
}

input InitialBetCreateOneWithoutBetsInput {
  create: InitialBetCreateWithoutBetsInput
  connect: InitialBetWhereUniqueInput
}

input InitialBetCreateOneWithoutProductInput {
  create: InitialBetCreateWithoutProductInput
  connect: InitialBetWhereUniqueInput
}

input InitialBetCreateWithoutBetsInput {
  id: ID
  creator: UserCreateOneInput!
  product: ProductCreateOneWithoutInitialBetInput!
  currentBet: Float
  endBetTime: DateTime!
}

input InitialBetCreateWithoutProductInput {
  id: ID
  creator: UserCreateOneInput!
  currentBet: Float
  endBetTime: DateTime!
  bets: BetCreateManyWithoutInitialBetInput
}

type InitialBetEdge {
  node: InitialBet!
  cursor: String!
}

enum InitialBetOrderByInput {
  id_ASC
  id_DESC
  updatedAt_ASC
  updatedAt_DESC
  createdAt_ASC
  createdAt_DESC
  currentBet_ASC
  currentBet_DESC
  endBetTime_ASC
  endBetTime_DESC
}

type InitialBetPreviousValues {
  id: ID!
  updatedAt: DateTime!
  createdAt: DateTime!
  currentBet: Float!
  endBetTime: DateTime!
}

type InitialBetSubscriptionPayload {
  mutation: MutationType!
  node: InitialBet
  updatedFields: [String!]
  previousValues: InitialBetPreviousValues
}

input InitialBetSubscriptionWhereInput {
  mutation_in: [MutationType!]
  updatedFields_contains: String
  updatedFields_contains_every: [String!]
  updatedFields_contains_some: [String!]
  node: InitialBetWhereInput
  AND: [InitialBetSubscriptionWhereInput!]
  OR: [InitialBetSubscriptionWhereInput!]
  NOT: [InitialBetSubscriptionWhereInput!]
}

input InitialBetUpdateInput {
  creator: UserUpdateOneRequiredInput
  product: ProductUpdateOneRequiredWithoutInitialBetInput
  currentBet: Float
  endBetTime: DateTime
  bets: BetUpdateManyWithoutInitialBetInput
}

input InitialBetUpdateManyMutationInput {
  currentBet: Float
  endBetTime: DateTime
}

input InitialBetUpdateOneRequiredWithoutBetsInput {
  create: InitialBetCreateWithoutBetsInput
  update: InitialBetUpdateWithoutBetsDataInput
  upsert: InitialBetUpsertWithoutBetsInput
  connect: InitialBetWhereUniqueInput
}

input InitialBetUpdateOneWithoutProductInput {
  create: InitialBetCreateWithoutProductInput
  update: InitialBetUpdateWithoutProductDataInput
  upsert: InitialBetUpsertWithoutProductInput
  delete: Boolean
  disconnect: Boolean
  connect: InitialBetWhereUniqueInput
}

input InitialBetUpdateWithoutBetsDataInput {
  creator: UserUpdateOneRequiredInput
  product: ProductUpdateOneRequiredWithoutInitialBetInput
  currentBet: Float
  endBetTime: DateTime
}

input InitialBetUpdateWithoutProductDataInput {
  creator: UserUpdateOneRequiredInput
  currentBet: Float
  endBetTime: DateTime
  bets: BetUpdateManyWithoutInitialBetInput
}

input InitialBetUpsertWithoutBetsInput {
  update: InitialBetUpdateWithoutBetsDataInput!
  create: InitialBetCreateWithoutBetsInput!
}

input InitialBetUpsertWithoutProductInput {
  update: InitialBetUpdateWithoutProductDataInput!
  create: InitialBetCreateWithoutProductInput!
}

input InitialBetWhereInput {
  id: ID
  id_not: ID
  id_in: [ID!]
  id_not_in: [ID!]
  id_lt: ID
  id_lte: ID
  id_gt: ID
  id_gte: ID
  id_contains: ID
  id_not_contains: ID
  id_starts_with: ID
  id_not_starts_with: ID
  id_ends_with: ID
  id_not_ends_with: ID
  creator: UserWhereInput
  product: ProductWhereInput
  updatedAt: DateTime
  updatedAt_not: DateTime
  updatedAt_in: [DateTime!]
  updatedAt_not_in: [DateTime!]
  updatedAt_lt: DateTime
  updatedAt_lte: DateTime
  updatedAt_gt: DateTime
  updatedAt_gte: DateTime
  createdAt: DateTime
  createdAt_not: DateTime
  createdAt_in: [DateTime!]
  createdAt_not_in: [DateTime!]
  createdAt_lt: DateTime
  createdAt_lte: DateTime
  createdAt_gt: DateTime
  createdAt_gte: DateTime
  currentBet: Float
  currentBet_not: Float
  currentBet_in: [Float!]
  currentBet_not_in: [Float!]
  currentBet_lt: Float
  currentBet_lte: Float
  currentBet_gt: Float
  currentBet_gte: Float
  endBetTime: DateTime
  endBetTime_not: DateTime
  endBetTime_in: [DateTime!]
  endBetTime_not_in: [DateTime!]
  endBetTime_lt: DateTime
  endBetTime_lte: DateTime
  endBetTime_gt: DateTime
  endBetTime_gte: DateTime
  bets_every: BetWhereInput
  bets_some: BetWhereInput
  bets_none: BetWhereInput
  AND: [InitialBetWhereInput!]
  OR: [InitialBetWhereInput!]
  NOT: [InitialBetWhereInput!]
}

input InitialBetWhereUniqueInput {
  id: ID
}

scalar Long

type Mutation {
  createBet(data: BetCreateInput!): Bet!
  updateBet(data: BetUpdateInput!, where: BetWhereUniqueInput!): Bet
  updateManyBets(data: BetUpdateManyMutationInput!, where: BetWhereInput): BatchPayload!
  upsertBet(where: BetWhereUniqueInput!, create: BetCreateInput!, update: BetUpdateInput!): Bet!
  deleteBet(where: BetWhereUniqueInput!): Bet
  deleteManyBets(where: BetWhereInput): BatchPayload!
  createComment(data: CommentCreateInput!): Comment!
  updateComment(data: CommentUpdateInput!, where: CommentWhereUniqueInput!): Comment
  updateManyComments(data: CommentUpdateManyMutationInput!, where: CommentWhereInput): BatchPayload!
  upsertComment(where: CommentWhereUniqueInput!, create: CommentCreateInput!, update: CommentUpdateInput!): Comment!
  deleteComment(where: CommentWhereUniqueInput!): Comment
  deleteManyComments(where: CommentWhereInput): BatchPayload!
  createInitialBet(data: InitialBetCreateInput!): InitialBet!
  updateInitialBet(data: InitialBetUpdateInput!, where: InitialBetWhereUniqueInput!): InitialBet
  updateManyInitialBets(data: InitialBetUpdateManyMutationInput!, where: InitialBetWhereInput): BatchPayload!
  upsertInitialBet(where: InitialBetWhereUniqueInput!, create: InitialBetCreateInput!, update: InitialBetUpdateInput!): InitialBet!
  deleteInitialBet(where: InitialBetWhereUniqueInput!): InitialBet
  deleteManyInitialBets(where: InitialBetWhereInput): BatchPayload!
  createProduct(data: ProductCreateInput!): Product!
  updateProduct(data: ProductUpdateInput!, where: ProductWhereUniqueInput!): Product
  updateManyProducts(data: ProductUpdateManyMutationInput!, where: ProductWhereInput): BatchPayload!
  upsertProduct(where: ProductWhereUniqueInput!, create: ProductCreateInput!, update: ProductUpdateInput!): Product!
  deleteProduct(where: ProductWhereUniqueInput!): Product
  deleteManyProducts(where: ProductWhereInput): BatchPayload!
  createUser(data: UserCreateInput!): User!
  updateUser(data: UserUpdateInput!, where: UserWhereUniqueInput!): User
  updateManyUsers(data: UserUpdateManyMutationInput!, where: UserWhereInput): BatchPayload!
  upsertUser(where: UserWhereUniqueInput!, create: UserCreateInput!, update: UserUpdateInput!): User!
  deleteUser(where: UserWhereUniqueInput!): User
  deleteManyUsers(where: UserWhereInput): BatchPayload!
}

enum MutationType {
  CREATED
  UPDATED
  DELETED
}

interface Node {
  id: ID!
}

type PageInfo {
  hasNextPage: Boolean!
  hasPreviousPage: Boolean!
  startCursor: String
  endCursor: String
}

type Product {
  id: ID!
  name: String!
  description: String
  createdAt: DateTime!
  user: User!
  price: Float!
  initialBet: InitialBet
}

type ProductConnection {
  pageInfo: PageInfo!
  edges: [ProductEdge]!
  aggregate: AggregateProduct!
}

input ProductCreateInput {
  id: ID
  name: String!
  description: String
  user: UserCreateOneWithoutProductsInput!
  price: Float!
  initialBet: InitialBetCreateOneWithoutProductInput
}

input ProductCreateManyWithoutUserInput {
  create: [ProductCreateWithoutUserInput!]
  connect: [ProductWhereUniqueInput!]
}

input ProductCreateOneInput {
  create: ProductCreateInput
  connect: ProductWhereUniqueInput
}

input ProductCreateOneWithoutInitialBetInput {
  create: ProductCreateWithoutInitialBetInput
  connect: ProductWhereUniqueInput
}

input ProductCreateWithoutInitialBetInput {
  id: ID
  name: String!
  description: String
  user: UserCreateOneWithoutProductsInput!
  price: Float!
}

input ProductCreateWithoutUserInput {
  id: ID
  name: String!
  description: String
  price: Float!
  initialBet: InitialBetCreateOneWithoutProductInput
}

type ProductEdge {
  node: Product!
  cursor: String!
}

enum ProductOrderByInput {
  id_ASC
  id_DESC
  name_ASC
  name_DESC
  description_ASC
  description_DESC
  createdAt_ASC
  createdAt_DESC
  price_ASC
  price_DESC
}

type ProductPreviousValues {
  id: ID!
  name: String!
  description: String
  createdAt: DateTime!
  price: Float!
}

input ProductScalarWhereInput {
  id: ID
  id_not: ID
  id_in: [ID!]
  id_not_in: [ID!]
  id_lt: ID
  id_lte: ID
  id_gt: ID
  id_gte: ID
  id_contains: ID
  id_not_contains: ID
  id_starts_with: ID
  id_not_starts_with: ID
  id_ends_with: ID
  id_not_ends_with: ID
  name: String
  name_not: String
  name_in: [String!]
  name_not_in: [String!]
  name_lt: String
  name_lte: String
  name_gt: String
  name_gte: String
  name_contains: String
  name_not_contains: String
  name_starts_with: String
  name_not_starts_with: String
  name_ends_with: String
  name_not_ends_with: String
  description: String
  description_not: String
  description_in: [String!]
  description_not_in: [String!]
  description_lt: String
  description_lte: String
  description_gt: String
  description_gte: String
  description_contains: String
  description_not_contains: String
  description_starts_with: String
  description_not_starts_with: String
  description_ends_with: String
  description_not_ends_with: String
  createdAt: DateTime
  createdAt_not: DateTime
  createdAt_in: [DateTime!]
  createdAt_not_in: [DateTime!]
  createdAt_lt: DateTime
  createdAt_lte: DateTime
  createdAt_gt: DateTime
  createdAt_gte: DateTime
  price: Float
  price_not: Float
  price_in: [Float!]
  price_not_in: [Float!]
  price_lt: Float
  price_lte: Float
  price_gt: Float
  price_gte: Float
  AND: [ProductScalarWhereInput!]
  OR: [ProductScalarWhereInput!]
  NOT: [ProductScalarWhereInput!]
}

type ProductSubscriptionPayload {
  mutation: MutationType!
  node: Product
  updatedFields: [String!]
  previousValues: ProductPreviousValues
}

input ProductSubscriptionWhereInput {
  mutation_in: [MutationType!]
  updatedFields_contains: String
  updatedFields_contains_every: [String!]
  updatedFields_contains_some: [String!]
  node: ProductWhereInput
  AND: [ProductSubscriptionWhereInput!]
  OR: [ProductSubscriptionWhereInput!]
  NOT: [ProductSubscriptionWhereInput!]
}

input ProductUpdateDataInput {
  name: String
  description: String
  user: UserUpdateOneRequiredWithoutProductsInput
  price: Float
  initialBet: InitialBetUpdateOneWithoutProductInput
}

input ProductUpdateInput {
  name: String
  description: String
  user: UserUpdateOneRequiredWithoutProductsInput
  price: Float
  initialBet: InitialBetUpdateOneWithoutProductInput
}

input ProductUpdateManyDataInput {
  name: String
  description: String
  price: Float
}

input ProductUpdateManyMutationInput {
  name: String
  description: String
  price: Float
}

input ProductUpdateManyWithoutUserInput {
  create: [ProductCreateWithoutUserInput!]
  delete: [ProductWhereUniqueInput!]
  connect: [ProductWhereUniqueInput!]
  set: [ProductWhereUniqueInput!]
  disconnect: [ProductWhereUniqueInput!]
  update: [ProductUpdateWithWhereUniqueWithoutUserInput!]
  upsert: [ProductUpsertWithWhereUniqueWithoutUserInput!]
  deleteMany: [ProductScalarWhereInput!]
  updateMany: [ProductUpdateManyWithWhereNestedInput!]
}

input ProductUpdateManyWithWhereNestedInput {
  where: ProductScalarWhereInput!
  data: ProductUpdateManyDataInput!
}

input ProductUpdateOneRequiredInput {
  create: ProductCreateInput
  update: ProductUpdateDataInput
  upsert: ProductUpsertNestedInput
  connect: ProductWhereUniqueInput
}

input ProductUpdateOneRequiredWithoutInitialBetInput {
  create: ProductCreateWithoutInitialBetInput
  update: ProductUpdateWithoutInitialBetDataInput
  upsert: ProductUpsertWithoutInitialBetInput
  connect: ProductWhereUniqueInput
}

input ProductUpdateWithoutInitialBetDataInput {
  name: String
  description: String
  user: UserUpdateOneRequiredWithoutProductsInput
  price: Float
}

input ProductUpdateWithoutUserDataInput {
  name: String
  description: String
  price: Float
  initialBet: InitialBetUpdateOneWithoutProductInput
}

input ProductUpdateWithWhereUniqueWithoutUserInput {
  where: ProductWhereUniqueInput!
  data: ProductUpdateWithoutUserDataInput!
}

input ProductUpsertNestedInput {
  update: ProductUpdateDataInput!
  create: ProductCreateInput!
}

input ProductUpsertWithoutInitialBetInput {
  update: ProductUpdateWithoutInitialBetDataInput!
  create: ProductCreateWithoutInitialBetInput!
}

input ProductUpsertWithWhereUniqueWithoutUserInput {
  where: ProductWhereUniqueInput!
  update: ProductUpdateWithoutUserDataInput!
  create: ProductCreateWithoutUserInput!
}

input ProductWhereInput {
  id: ID
  id_not: ID
  id_in: [ID!]
  id_not_in: [ID!]
  id_lt: ID
  id_lte: ID
  id_gt: ID
  id_gte: ID
  id_contains: ID
  id_not_contains: ID
  id_starts_with: ID
  id_not_starts_with: ID
  id_ends_with: ID
  id_not_ends_with: ID
  name: String
  name_not: String
  name_in: [String!]
  name_not_in: [String!]
  name_lt: String
  name_lte: String
  name_gt: String
  name_gte: String
  name_contains: String
  name_not_contains: String
  name_starts_with: String
  name_not_starts_with: String
  name_ends_with: String
  name_not_ends_with: String
  description: String
  description_not: String
  description_in: [String!]
  description_not_in: [String!]
  description_lt: String
  description_lte: String
  description_gt: String
  description_gte: String
  description_contains: String
  description_not_contains: String
  description_starts_with: String
  description_not_starts_with: String
  description_ends_with: String
  description_not_ends_with: String
  createdAt: DateTime
  createdAt_not: DateTime
  createdAt_in: [DateTime!]
  createdAt_not_in: [DateTime!]
  createdAt_lt: DateTime
  createdAt_lte: DateTime
  createdAt_gt: DateTime
  createdAt_gte: DateTime
  user: UserWhereInput
  price: Float
  price_not: Float
  price_in: [Float!]
  price_not_in: [Float!]
  price_lt: Float
  price_lte: Float
  price_gt: Float
  price_gte: Float
  initialBet: InitialBetWhereInput
  AND: [ProductWhereInput!]
  OR: [ProductWhereInput!]
  NOT: [ProductWhereInput!]
}

input ProductWhereUniqueInput {
  id: ID
}

type Query {
  bet(where: BetWhereUniqueInput!): Bet
  bets(where: BetWhereInput, orderBy: BetOrderByInput, skip: Int, after: String, before: String, first: Int, last: Int): [Bet]!
  betsConnection(where: BetWhereInput, orderBy: BetOrderByInput, skip: Int, after: String, before: String, first: Int, last: Int): BetConnection!
  comment(where: CommentWhereUniqueInput!): Comment
  comments(where: CommentWhereInput, orderBy: CommentOrderByInput, skip: Int, after: String, before: String, first: Int, last: Int): [Comment]!
  commentsConnection(where: CommentWhereInput, orderBy: CommentOrderByInput, skip: Int, after: String, before: String, first: Int, last: Int): CommentConnection!
  initialBet(where: InitialBetWhereUniqueInput!): InitialBet
  initialBets(where: InitialBetWhereInput, orderBy: InitialBetOrderByInput, skip: Int, after: String, before: String, first: Int, last: Int): [InitialBet]!
  initialBetsConnection(where: InitialBetWhereInput, orderBy: InitialBetOrderByInput, skip: Int, after: String, before: String, first: Int, last: Int): InitialBetConnection!
  product(where: ProductWhereUniqueInput!): Product
  products(where: ProductWhereInput, orderBy: ProductOrderByInput, skip: Int, after: String, before: String, first: Int, last: Int): [Product]!
  productsConnection(where: ProductWhereInput, orderBy: ProductOrderByInput, skip: Int, after: String, before: String, first: Int, last: Int): ProductConnection!
  user(where: UserWhereUniqueInput!): User
  users(where: UserWhereInput, orderBy: UserOrderByInput, skip: Int, after: String, before: String, first: Int, last: Int): [User]!
  usersConnection(where: UserWhereInput, orderBy: UserOrderByInput, skip: Int, after: String, before: String, first: Int, last: Int): UserConnection!
  node(id: ID!): Node
}

type Subscription {
  bet(where: BetSubscriptionWhereInput): BetSubscriptionPayload
  comment(where: CommentSubscriptionWhereInput): CommentSubscriptionPayload
  initialBet(where: InitialBetSubscriptionWhereInput): InitialBetSubscriptionPayload
  product(where: ProductSubscriptionWhereInput): ProductSubscriptionPayload
  user(where: UserSubscriptionWhereInput): UserSubscriptionPayload
}

type User {
  id: ID!
  username: String!
  email: String!
  password: String!
  createdAt: DateTime!
  products(where: ProductWhereInput, orderBy: ProductOrderByInput, skip: Int, after: String, before: String, first: Int, last: Int): [Product!]
  comments(where: CommentWhereInput, orderBy: CommentOrderByInput, skip: Int, after: String, before: String, first: Int, last: Int): [Comment!]
  role: Int!
}

type UserConnection {
  pageInfo: PageInfo!
  edges: [UserEdge]!
  aggregate: AggregateUser!
}

input UserCreateInput {
  id: ID
  username: String!
  email: String!
  password: String!
  products: ProductCreateManyWithoutUserInput
  comments: CommentCreateManyWithoutUserInput
  role: Int
}

input UserCreateOneInput {
  create: UserCreateInput
  connect: UserWhereUniqueInput
}

input UserCreateOneWithoutCommentsInput {
  create: UserCreateWithoutCommentsInput
  connect: UserWhereUniqueInput
}

input UserCreateOneWithoutProductsInput {
  create: UserCreateWithoutProductsInput
  connect: UserWhereUniqueInput
}

input UserCreateWithoutCommentsInput {
  id: ID
  username: String!
  email: String!
  password: String!
  products: ProductCreateManyWithoutUserInput
  role: Int
}

input UserCreateWithoutProductsInput {
  id: ID
  username: String!
  email: String!
  password: String!
  comments: CommentCreateManyWithoutUserInput
  role: Int
}

type UserEdge {
  node: User!
  cursor: String!
}

enum UserOrderByInput {
  id_ASC
  id_DESC
  username_ASC
  username_DESC
  email_ASC
  email_DESC
  password_ASC
  password_DESC
  createdAt_ASC
  createdAt_DESC
  role_ASC
  role_DESC
}

type UserPreviousValues {
  id: ID!
  username: String!
  email: String!
  password: String!
  createdAt: DateTime!
  role: Int!
}

type UserSubscriptionPayload {
  mutation: MutationType!
  node: User
  updatedFields: [String!]
  previousValues: UserPreviousValues
}

input UserSubscriptionWhereInput {
  mutation_in: [MutationType!]
  updatedFields_contains: String
  updatedFields_contains_every: [String!]
  updatedFields_contains_some: [String!]
  node: UserWhereInput
  AND: [UserSubscriptionWhereInput!]
  OR: [UserSubscriptionWhereInput!]
  NOT: [UserSubscriptionWhereInput!]
}

input UserUpdateDataInput {
  username: String
  email: String
  password: String
  products: ProductUpdateManyWithoutUserInput
  comments: CommentUpdateManyWithoutUserInput
  role: Int
}

input UserUpdateInput {
  username: String
  email: String
  password: String
  products: ProductUpdateManyWithoutUserInput
  comments: CommentUpdateManyWithoutUserInput
  role: Int
}

input UserUpdateManyMutationInput {
  username: String
  email: String
  password: String
  role: Int
}

input UserUpdateOneRequiredInput {
  create: UserCreateInput
  update: UserUpdateDataInput
  upsert: UserUpsertNestedInput
  connect: UserWhereUniqueInput
}

input UserUpdateOneRequiredWithoutCommentsInput {
  create: UserCreateWithoutCommentsInput
  update: UserUpdateWithoutCommentsDataInput
  upsert: UserUpsertWithoutCommentsInput
  connect: UserWhereUniqueInput
}

input UserUpdateOneRequiredWithoutProductsInput {
  create: UserCreateWithoutProductsInput
  update: UserUpdateWithoutProductsDataInput
  upsert: UserUpsertWithoutProductsInput
  connect: UserWhereUniqueInput
}

input UserUpdateWithoutCommentsDataInput {
  username: String
  email: String
  password: String
  products: ProductUpdateManyWithoutUserInput
  role: Int
}

input UserUpdateWithoutProductsDataInput {
  username: String
  email: String
  password: String
  comments: CommentUpdateManyWithoutUserInput
  role: Int
}

input UserUpsertNestedInput {
  update: UserUpdateDataInput!
  create: UserCreateInput!
}

input UserUpsertWithoutCommentsInput {
  update: UserUpdateWithoutCommentsDataInput!
  create: UserCreateWithoutCommentsInput!
}

input UserUpsertWithoutProductsInput {
  update: UserUpdateWithoutProductsDataInput!
  create: UserCreateWithoutProductsInput!
}

input UserWhereInput {
  id: ID
  id_not: ID
  id_in: [ID!]
  id_not_in: [ID!]
  id_lt: ID
  id_lte: ID
  id_gt: ID
  id_gte: ID
  id_contains: ID
  id_not_contains: ID
  id_starts_with: ID
  id_not_starts_with: ID
  id_ends_with: ID
  id_not_ends_with: ID
  username: String
  username_not: String
  username_in: [String!]
  username_not_in: [String!]
  username_lt: String
  username_lte: String
  username_gt: String
  username_gte: String
  username_contains: String
  username_not_contains: String
  username_starts_with: String
  username_not_starts_with: String
  username_ends_with: String
  username_not_ends_with: String
  email: String
  email_not: String
  email_in: [String!]
  email_not_in: [String!]
  email_lt: String
  email_lte: String
  email_gt: String
  email_gte: String
  email_contains: String
  email_not_contains: String
  email_starts_with: String
  email_not_starts_with: String
  email_ends_with: String
  email_not_ends_with: String
  password: String
  password_not: String
  password_in: [String!]
  password_not_in: [String!]
  password_lt: String
  password_lte: String
  password_gt: String
  password_gte: String
  password_contains: String
  password_not_contains: String
  password_starts_with: String
  password_not_starts_with: String
  password_ends_with: String
  password_not_ends_with: String
  createdAt: DateTime
  createdAt_not: DateTime
  createdAt_in: [DateTime!]
  createdAt_not_in: [DateTime!]
  createdAt_lt: DateTime
  createdAt_lte: DateTime
  createdAt_gt: DateTime
  createdAt_gte: DateTime
  products_every: ProductWhereInput
  products_some: ProductWhereInput
  products_none: ProductWhereInput
  comments_every: CommentWhereInput
  comments_some: CommentWhereInput
  comments_none: CommentWhereInput
  role: Int
  role_not: Int
  role_in: [Int!]
  role_not_in: [Int!]
  role_lt: Int
  role_lte: Int
  role_gt: Int
  role_gte: Int
  AND: [UserWhereInput!]
  OR: [UserWhereInput!]
  NOT: [UserWhereInput!]
}

input UserWhereUniqueInput {
  id: ID
  username: String
  email: String
}
`
      }
    